Xeonr Developer Docs

List Console Products

POST
/xeonr.auth.api.v1.ConsoleService/ListProducts

Every application flagged as a console product, with the named team's entitlement and whether the caller may self-serve one.

Required scopes: auth:teams:read

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

team?string

Team URN or slug to evaluate entitlement against. Optional; the caller must be a member of it.

Lengthlength <= 128
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.api.v1.ConsoleService/ListProducts" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "products": [
    {
      "key": "functions",
      "name": "string",
      "origin": "string",
      "icon": "string",
      "colour": "string",
      "category": "string",
      "blurb": "string",
      "status": "PRODUCT_STATUS_UNSPECIFIED",
      "scopes": [
        "string"
      ],
      "pinnedByDefault": true,
      "enabled": true,
      "canEnable": true
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}